Bug 822726 - [network] network-indicator password dialog has multiple usability issues
[network] network-indicator password dialog has multiple usability issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 21:17 EDT by Andy Lutomirski
Modified: 2015-06-29 07:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:38:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Lutomirski 2012-05-17 21:17:29 EDT
After I upgraded to Fedora 17 beta, the new NM password prompt is a clutter/gnome-shell/whatever fancy-looking dialog.  It has multiple problems:

1. Ctrl-C and Ctrl-V don't do anything.
2. The "show typing" option is not really discoverable.  I found it by accident.
3. Copying a long password with a mouse appears to be impossible.  Try as I might, as soon as I select more than a character or two, the copy/paste/toggle-show-typing menu pops up and prevents me from selecting more.  Trying to interact with the dialog while the menu is visible seems to be very broken.

Finally:
4. It's *system modal*.  This makes it rather difficult to, say, run another program to look up the password in.  (Microsoft learned this lesson years ago and has disabled this functionality in recent versions of Windows even for programs that explicitly request it.)


P.S.  What happened to the list of known wireless networks?  This has gradually regressed from quite easy in F14 or so to inconsistent and hard to find in F16 to I-can't-find-it-at-all in F17.
Comment 1 Petr Tuma 2012-10-30 05:38:11 EDT
See bugs 832843 and 868770 for additional usability-related issues:

 - The password dialog sometimes appears twice, once rounded-black-themed and later on rectangular-gray-themed. (Usually when I'm away and don't respond to the first dialog for some time, then I just cancel it, the second one appears.)

 - The password dialog pops up even when when NM does not really need to ask for a password (e.g. signal loss triggers password request).
Comment 2 Fedora End Of Life 2013-07-03 18:00:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Andy Lutomirski 2013-07-04 16:25:07 EDT
This is only slightly better in Fedora 18.

For example, type some characters.  Try to select them and copy -- no luck, copy is grayed out and you can't select.  It turns out you have to "show text" first.  Perhaps the grayed-out text for Copy should say "Copy (you must Show Text first)".

In any case, all of the other issues with the system modal dialog in F17 are unchanged in F18.
Comment 4 Jirka Klimes 2013-07-08 10:54:20 EDT
(In reply to Andy Lutomirski from comment #0)
> After I upgraded to Fedora 17 beta, the new NM password prompt is a
> clutter/gnome-shell/whatever fancy-looking dialog.  It has multiple problems:
> 
The black window is from network-indicator implemented in gnome-shell itself.

> 
> P.S.  What happened to the list of known wireless networks?  This has
> gradually regressed from quite easy in F14 or so to inconsistent and hard to
> find in F16 to I-can't-find-it-at-all in F17.
NM still provides list of known networks. You can see them in nm-applet GUI or on command-line using 'nmcli dev wifi list'.

If you use Gnome3/gnome-shell, then I guess the networks can be found in control-panel.

Changing component to gnome-shell.
Comment 5 Fedora End Of Life 2013-12-21 03:36:29 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Andy Lutomirski 2013-12-21 11:33:12 EST
This has improved a bit but is certainly not fully resolved.
Comment 7 Fedora End Of Life 2015-05-29 04:44:41 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 07:38:55 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.